Entitlements (v1)
Required permissions
-
View Organization -
View Entitlements
Path parameters
orgIdstringRequiredExample:
The organization ID to list entitlements for. The API_KEY must have access to this organization.
4a18d42f-0706-4ad0-b127-24078731fbedResponses
200Success
application/json
licensesbooleanRequired
reportsbooleanRequired
fullVulnDBbooleanRequired
get/org/{orgId}/entitlements
GET /v1/org/{orgId}/entitlements HTTP/1.1
Host: api.snyk.io
Accept: */*
200Success
{
"licenses": true,
"reports": true,
"fullVulnDB": false
}It is possible to query an organization for a specific entitlement, getting its value
Required permissions
-
View Organization -
View Entitlements
Path parameters
orgIdstringRequiredExample:
The organization ID to query the entitlement for. The API_KEY must have access to this organization.
4a18d42f-0706-4ad0-b127-24078731fbedentitlementKeyall ofRequired
The entitlement to query.
string · enumOptionalPossible values:
anyOptionalExample:
The entitlement to query.
reportsResponses
200Success
application/json
stringOptionalExample:
trueget/org/{orgId}/entitlement/{entitlementKey}
GET /v1/org/{orgId}/entitlement/{entitlementKey} HTTP/1.1
Host: api.snyk.io
Accept: */*
200Success
trueLast updated
Was this helpful?

